/**
 * 
 */
package jalview.api;

import java.util.Hashtable;

import jalview.datamodel.AlignmentAnnotation;
import jalview.datamodel.AlignmentI;
import jalview.datamodel.ColumnSelection;
import jalview.schemes.ColourSchemeI;

/**
 * @author jimp
 *
 */
public interface AlignViewportI
{

  int getCharWidth();

  int getEndRes();

  int getCharHeight();

  boolean hasHiddenColumns();

  boolean isValidCharWidth();

  boolean isShowConsensusHistogram();

  boolean isShowSequenceLogo();

  boolean isNormaliseSequenceLogo();

  ColourSchemeI getGlobalColourScheme();

  AlignmentI getAlignment();

  ColumnSelection getColumnSelection();

  Hashtable[] getSequenceConsensusHash();

  Hashtable[] getRnaStructureConsensusHash();

  boolean getIgnoreGapsConsensus();

  boolean getCentreColumnLabels();

  boolean isCalculationInProgress(AlignmentAnnotation alignmentAnnotation);
}
